#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red

extern int            LevelEn       = 3;
extern int            TradeTer      = 3;
extern ENUM_MA_METHOD maMethodClose = MODE_LWMA;
extern ENUM_MA_METHOD maMethodOpen  = MODE_LWMA;
double arrowUp[],arrowDown[];
int init() 
{
   SetIndexBuffer(0, arrowUp);   SetIndexStyle(0, DRAW_ARROW); SetIndexArrow(0, 233);
   SetIndexBuffer(1, arrowDown); SetIndexStyle(1, DRAW_ARROW); SetIndexArrow(1, 234);
   return (0);
}

int deinit() {
   return (0);
}

int start() {
   int counted_bars=IndicatorCounted();
      if(counted_bars < 0) return(-1);
      if(counted_bars > 0) counted_bars--;
           int limit = MathMin(Bars-counted_bars,Bars-1);

   for (int i = limit; i >= 0; i--)
   {
      double range  = 0; for (int k = 0; k < 10; k++) range += MathAbs(High[i+k] - Low[i+k]); range /= 10.0;
      double open1  = iMA(NULL, 0, LevelEn,  0, maMethodClose, PRICE_CLOSE, i + 1);
      double open2  = iMA(NULL, 0, LevelEn,  0, maMethodClose, PRICE_CLOSE, i + 2);
      double open3  = iMA(NULL, 0, LevelEn,  0, maMethodClose, PRICE_CLOSE, i);
      double close1 = iMA(NULL, 0, TradeTer, 0, maMethodOpen,  PRICE_OPEN,  i + 1);
      double close2 = iMA(NULL, 0, TradeTer, 0, maMethodOpen,  PRICE_OPEN,  i + 2);
      double close3 = iMA(NULL, 0, TradeTer, 0, maMethodOpen,  PRICE_OPEN,  i);
         arrowUp[i]   = EMPTY_VALUE;
         arrowDown[i] = EMPTY_VALUE;
            if (open1 > close1 && open2 < close2 && open3 > close3) arrowUp[i]   = Low[i] - 0.3 * range;
            if (open1 < close1 && open2 > close2 && open3 < close3) arrowDown[i] = High[i] + 0.3 * range;
   }
   return (0);
}